aboutsummaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2024-09-07 14:28:28 +0100
committerHennadii Stepanov <32963518+hebasto@users.noreply.github.com>2024-09-07 14:38:16 +0100
commitc45186ca548362b75a6640393ccf79b11ff727da (patch)
treedebcab755044f11b6c24e617603e190243260626 /ci
parent6e5f33af581e0a74897a6cc9fad558b29ad8b88e (diff)
ci: Switch from `make` to `cmake --build`
Diffstat (limited to 'ci')
-rwxr-xr-xci/test/03_test_script.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ci/test/03_test_script.sh b/ci/test/03_test_script.sh
index 0fbd7dbfaa..7ee424ac9b 100755
--- a/ci/test/03_test_script.sh
+++ b/ci/test/03_test_script.sh
@@ -123,7 +123,7 @@ fi
bash -c "cmake -S $BASE_ROOT_DIR $BITCOIN_CONFIG_ALL $BITCOIN_CONFIG || ( (cat $(cmake -P "${BASE_ROOT_DIR}/ci/test/GetCMakeLogFiles.cmake")) && false)"
-bash -c "make $MAKEJOBS all $GOAL" || ( echo "Build failure. Verbose build follows." && make all "$GOAL" V=1 ; false )
+bash -c "cmake --build . $MAKEJOBS --target all $GOAL" || ( echo "Build failure. Verbose build follows." && cmake --build . --target all "$GOAL" --verbose ; false )
bash -c "${PRINT_CCACHE_STATISTICS}"
du -sh "${DEPENDS_DIR}"/*/